#ifndef _BASSO_H
#define _BASSO_H

#include "DataTypes.h"
#include "AssociationMatrix.h"
#include "SelectBasis.h"


#ifdef __cplusplus
extern "C" {
#endif

int
basso(const basso_bmatrix_rm *restrict A,
      const uint64_t rank,
      const double threshold,
      const uint64_t weight,
      basso_bmatrix_cm **restrict B,
      basso_bmatrix_rm **restrict C);
  
#ifdef __cplusplus
}
#endif
  
#endif /*__BASSO_H */
