#ifndef _BASSO_DATATYPES_H
#define _BASSO_DATATYPES_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/* This should be defined elsewhere */
//static const uint64_t ONE = 1;

typedef struct {
	uint64_t mRows, nCols;
	uint64_t integerPerRow;

	uint64_t* onesPerRow;

	uint64_t* restrict matrixRow; /* this matrix is saved row-wise */
} basso_bmatrix_rm;

typedef struct {
	uint64_t mRows, nCols;
	uint64_t integerPerCol;

	uint64_t* restrict matrixCol; /* this matrix is saved column-wise */
} basso_bmatrix_cm;

#ifdef __cplusplus
}
#endif

    
#endif /* _BASSO_DATATYPES_H */

