#ifndef _BASSO_MEMORYMANAGEMENT_H
#define _BASSO_MEMORYMANAGEMENT_H

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif


#include <stdlib.h>

#include "../../include/DataTypes.h"

basso_bmatrix_rm* checkedCallocBitMatRowWise(const size_t mRows, const size_t nCols);
basso_bmatrix_cm* checkedCallocBitMatColWise(const size_t mRows, const size_t nCols);

uint64_t* checkedCallocUInt64_t(const size_t numberOfElements);

void freeBitMatRowWise(basso_bmatrix_rm* bitMat);
void freeBitMatColWise(basso_bmatrix_cm* bitMat);

#endif

