#ifndef _BASSO_BITCONVERSIONDENSEMATRIX_H
#define _BASSO_BITCONVERSIONDENSEMATRIX_H
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include "../../include/DataTypes.h"

/*
#include <stdio.h>
#include <stdbool.h>
*/
#ifdef HAVE_STDINT_H
# include <stdint.h>
#endif
//TODO: add other potentian headers

#include "matrix.h" // from Matlab

basso_bmatrix_rm*
denseMatlabMatToBitMat(const mxLogical *restrict matlabMat,
					   const uint64_t mRows,
					   const uint64_t nCols);

mxLogical*
bitMatToDenseMatlabMat(const basso_bmatrix_rm *restrict bitMat);

basso_bmatrix_rm*
sparseMatlabMatToBitMat(const mxArray *restrict matlabMat,
						const uint64_t mRows,
						const uint64_t nCols);

#endif

